
(define *input-files* '())

(front-end/set-categories! '("Help" "Misc"))

(gen-front-end 
 lsal2xml
 "LSAL parser"
 "Usage: lsal2xml [options] [file-names]"
 "Example:
  lsal2xml *.lsal"
(lambda (else)
	(push! else *input-files*))
(begin
	(when (null? *input-files*)
		(lsal2xml/simple-help))
	(for-each (lambda (input-file)
							(let ((output-file (string-append (basename (prefix input-file)) ".xml")))
								(with-output-to-file output-file
									(lambda ()
										(print "<?xml version=\"1.0\" encoding=\"UTF-8\"?>")
										(print "<!DOCTYPE CONTEXT SYSTEM \"sal.dtd\">")
										(print "<!--  XML version of " input-file " -->")
										(lsal->xml input-file)))
								(verbose-message 1 "File \"~a\" was generated." output-file)))
						*input-files*)))

(lsal2xml/main)

			

		